Subject: suspend() thougths

From: [email-masked] (by way of [email-masked])
Date: Mon, 20 Sep 1993 09:56:25 -0700

I'm new to this whole game, but what I find I want most is a verb that
simply won't run out of ticks.

Now it's all very well for development to catch run-away verbs and time
them out, but it's a real pain to have to sprinkle suspend throughout my
code when I know it's gonna be a time/memory hog.  Also, this read/suspend
interaction is basically disgusting.

Perhaps it would be reasonable to give verbs (or even the objects the verb
lives on) a property which determines how many ticks a verb gets.  The
heavy-duty verbs tend to get clumped on utility objects anyway, so adding
this property to objects shouldn't be too unreasonable.

That way, verbs that are expected to take 1,000,000 ticks can have them,
and verbs that should only take a few ticks can be even more closely
watched during development to be sure they are behaving correctly.

The default would, of course, be the same as the current tick setting.

The hard-part would be altering the time-out mechanism to check this
property...I assume that's down in source code somewhere...

[Disclaimer:  I don't understand enough of this to know if I'm even making
sense.]